Skip to main content
`Ctrl`+`K`

# TSProblemType

Determines the type of problem this `TS` object is to be used to solve

## Synopsis

    #include <petscts.h>
    typedef enum {
      TS_LINEAR,
      TS_NONLINEAR
    } TSProblemType;

## Values

- `TS_LINEAR` - a linear ODE or DAE

- `TS_NONLINEAR` - a nonlinear ODE or DAE

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSCreate()`

## Level

beginner

## Location

include/petscts.h

## Examples

src/ts/tutorials/ex4.c

## Examples

src/ts/tutorials/ex17.c
src/ts/tutorials/ex12.c
src/ts/tutorials/ex51.c
src/tao/unconstrained/tutorials/burgers_spectral.c
src/ts/tutorials/ex2.c
src/ts/tutorials/ex10.c
src/ts/tutorials/ex27.c
src/ts/tutorials/ex15.c
src/ts/tutorials/ex1f.F90
src/ts/tutorials/ex1.c

## Examples

src/ts/tutorials/ex6.c
src/ts/tutorials/ex4.c
src/ts/tutorials/ex3.c
src/tao/unconstrained/tutorials/spectraladjointassimilation.c
src/ts/tutorials/ex74.c
src/ts/tutorials/ex5.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages